CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3153 (1 public exploit)

The futex_requeue function in kernel/futex.c in the Linux kernel through 3.14.5 does not ensure that calls have two different futex addresses, which allows local users to gain privileges via a crafted FUTEX_REQUEUE command that facilitates unsafe waiter modification.
Publish Date : 2014-06-07 Last Update Date : 2021-02-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Gain privileges
CWE ID 269

- Related OVAL Definitions

Title Definition Id Class Family
DSA-2949-1 linux - security update oval:org.mitre.oval:def:24779 unix
DSA-2950-1 openssl - security update oval:org.mitre.oval:def:24711 unix
ELSA-2014-0771 -- kernel security and bug fix update (important) oval:org.mitre.oval:def:26926 unix
ELSA-2014-0786 -- kernel security, bug fix, and enhancement update (important) oval:org.mitre.oval:def:27321 unix
ELSA-2014-3037 -- Unbreakable Enterprise kernel security update (important) oval:org.mitre.oval:def:27316 unix
ELSA-2014-3038 -- unbreakable enterprise kernel security update (important) oval:org.mitre.oval:def:27112 unix
ELSA-2014-3039 -- Unbreakable Enterprise kernel security update (important) oval:org.mitre.oval:def:27093 unix
RHSA-2014:0771: kernel security and bug fix update (Important) oval:org.mitre.oval:def:24924 unix
RHSA-2014:0771: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20140771 unix
RHSA-2014:0786: kernel security, bug fix, and enhancement update (Important) oval:org.mitre.oval:def:25261 unix
RHSA-2014:0786: kernel security, bug fix, and enhancement update (Important) oval:com.redhat.rhsa:def:20140786 unix
SUSE-SU-2014:0775-1 -- Security update for Linux Kernel oval:org.mitre.oval:def:25045 unix
SUSE-SU-2014:0837-1 -- Security update for Linux Kernel oval:org.mitre.oval:def:26111 unix
SUSE-SU-2014:0837-2 -- Security update for Linux Kernel oval:org.mitre.oval:def:26071 unix
SUSE-SU-2014:0807-1 -- Security update for Linux Kernel oval:org.mitre.oval:def:26025 unix
SUSE-SU-2014:1316-1 -- Security update for Linux kernel (important) oval:org.mitre.oval:def:27719 unix
SUSE-SU-2014:1319-1 -- Security update for Linux kernel (important) oval:org.mitre.oval:def:28126 unix
USN-2233-1 -- linux vulnerabilities oval:org.mitre.oval:def:24852 unix
USN-2234-1 -- linux-ec2 vulnerabilities oval:org.mitre.oval:def:24568 unix
USN-2235-1 -- linux vulnerabilities oval:org.mitre.oval:def:24832 unix
USN-2236-1 -- linux-ti-omap4 vulnerabilities oval:org.mitre.oval:def:24860 unix
USN-2237-1 -- linux-lts-quantal vulnerability oval:org.mitre.oval:def:24473 unix
USN-2238-1 -- linux-lts-raring vulnerabilities oval:org.mitre.oval:def:24633 unix
USN-2239-1 -- linux-lts-saucy vulnerabilities oval:org.mitre.oval:def:24658 unix
USN-2240-1 -- linux vulnerabilities oval:org.mitre.oval:def:24753 unix
USN-2241-1 -- linux vulnerabilities oval:org.mitre.oval:def:24844 unix
USN-2260-1 -- linux-lts-trusty vulnerabilities oval:org.mitre.oval:def:25161 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-3153

# Product Type Vendor Product Version Update Edition Language
1 OS Linux Linux Kernel * * * * Version Details Vulnerabilities
2 OS Opensuse Opensuse 11.4 * * * Version Details Vulnerabilities
3 OS Redhat Enterprise Linux Server Aus 6.2 * * * Version Details Vulnerabilities
4 OS Suse Linux Enterprise Desktop 11 SP3 * * Version Details Vulnerabilities
5 OS Suse Linux Enterprise High Availability Extension 11 SP3 * * Version Details Vulnerabilities
6 OS Suse Linux Enterprise Real Time Extension 11 SP3 * * Version Details Vulnerabilities
7 OS Suse Linux Enterprise Server 11 SP2 * * Version Details Vulnerabilities
8 OS Suse Linux Enterprise Server 11 SP3 * * Version Details Vulnerabilities
9 OS Suse Linux Enterprise Server 11 SP3 * * Version Details Vulnerabilities
10 OS Suse Linux Enterprise Server 11 - * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Linux Linux Kernel 1
Opensuse Opensuse 1
Redhat Enterprise Linux Server Aus 1
Suse Linux Enterprise Desktop 1
Suse Linux Enterprise High Availability Extension 1
Suse Linux Enterprise Real Time Extension 1
Suse Linux Enterprise Server 4

- References For CVE-2014-3153

http://openwall.com/lists/oss-security/2014/06/05/24
MLIST [oss-security] 20140605 Re: Linux kernel futex local privilege escalation (CVE-2014-3153)
http://rhn.redhat.com/errata/RHSA-2014-0800.html
REDHAT RHSA-2014:0800
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=13fbca4c6ecd96ec1a1cfa2e4f2ce191fe928a5e CONFIRM
http://linux.oracle.com/errata/ELSA-2014-0771.html CONFIRM
http://secunia.com/advisories/59262
SECUNIA 59262
http://secunia.com/advisories/59309
SECUNIA 59309
http://lists.opensuse.org/opensuse-security-announce/2014-07/msg00006.html
SUSE openSUSE-SU-2014:0878
http://secunia.com/advisories/59386
SECUNIA 59386
http://lists.opensuse.org/opensuse-security-announce/2014-10/msg00006.html
SUSE SUSE-SU-2014:1316
http://lists.opensuse.org/opensuse-security-announce/2014-10/msg00007.html
SUSE SUSE-SU-2014:1319
Exploit! http://www.exploit-db.com/exploits/35370
EXPLOIT-DB 35370 Linux Kernel - libfutex - Local Root for RHEL/CentOS 7.0.1406 Author:Kaiqu Chen Release Date:2014-11-25 (linux) local
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b3eaa9fc5cd0a4d74b18f6b8dc617aeaf1873270 CONFIRM
http://secunia.com/advisories/58990
SECUNIA 58990
http://www.securityfocus.com/bid/67906
BID 67906 Linux Kernel CVE-2014-3153 Local Privilege Escalation Vulnerability Release Date:2014-11-27
http://linux.oracle.com/errata/ELSA-2014-3037.html CONFIRM
http://www.openwall.com/lists/oss-security/2014/06/05/22
MLIST [oss-security] 20140605 Linux kernel futex local privilege escalation (CVE-2014-3153)
http://linux.oracle.com/errata/ELSA-2014-3038.html CONFIRM
http://secunia.com/advisories/58500
SECUNIA 58500
http://linux.oracle.com/errata/ELSA-2014-3039.html CONFIRM
http://secunia.com/advisories/59029
SECUNIA 59029
http://secunia.com/advisories/59092
SECUNIA 59092
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=e9c243a5a6de0be8e584c604d353412584b592f8 CONFIRM
http://secunia.com/advisories/59153
SECUNIA 59153
http://www.securitytracker.com/id/1030451
SECTRACK 1030451
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=54a217887a7b658e2650c3feff22756ab80c7339 CONFIRM
http://openwall.com/lists/oss-security/2014/06/06/20
MLIST [oss-security] 20140606 Re: Linux kernel futex local privilege escalation (CVE-2014-3153)
https://bugzilla.redhat.com/show_bug.cgi?id=1103626 CONFIRM
https://github.com/torvalds/linux/commit/e9c243a5a6de0be8e584c604d353412584b592f8 CONFIRM
http://secunia.com/advisories/59599
SECUNIA 59599
http://lists.opensuse.org/opensuse-security-announce/2014-06/msg00025.html
SUSE SUSE-SU-2014:0837
http://www.ubuntu.com/usn/USN-2240-1
UBUNTU USN-2240-1
http://www.ubuntu.com/usn/USN-2237-1
UBUNTU USN-2237-1
http://www.debian.org/security/2014/dsa-2949
DEBIAN DSA-2949
http://lists.opensuse.org/opensuse-security-announce/2014-06/msg00018.html
SUSE SUSE-SU-2014:0796
http://lists.opensuse.org/opensuse-security-announce/2014-06/msg00014.html
SUSE SUSE-SU-2014:0775
http://www.openwall.com/lists/oss-security/2021/02/01/4
MLIST [oss-security] 20210201 Re: Linux Kernel: local priv escalation via futexes
https://github.com/elongl/CVE-2014-3153
https://elongl.github.io/exploitation/2021/01/08/cve-2014-3153.html
https://www.openwall.com/lists/oss-security/2021/02/01/4

- Metasploit Modules Related To CVE-2014-3153

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.